local englp = {
    noname = "No Name",
    lp = "English",
    pnode = " Plant-Node",
    rnode = " Rune-Node",
    wanode = " Water-Node",
    onode = "n Ore-Node",
    wonode = " Wood-Node",
    cnode = " Cloth-Node",
    tnode = " Treasure",
    tchest = "Treasure-Chest",
    lchest = "Lockbox",
    map = "Map updated to: ",
    recollect1 = "Recollected a",
    recollect2 = "",
    found = "You found the Harvest-Location",
    add1 = "Added a",
    add2 = "",
    distance = "Distance to Node: ",
    last = "Last found: ",
    notenough1 = "Less than ",
    notenough2 = " Records for this Map",
    startup11 = "LucysCompass: \"",
    startup12 = "\"-Profile loaded.",
    startup0 =  "Created new User: ",
    plant = "Plants",
    ore = "Ores",
    wood = "Wood",
    cloth = "Cloth",
    water = "Water",
    rune = "Runestones",
    treasure = "Treasures",
    plant_s = "P",
    ore_s = "O",
    wood_s = "W",
    cloth_s = "C",
    water_s = "W",
    rune_s = "R",
    treasure_s = "T",
    searchtrues = " will be searched.",
    searchtruep = " will be searched.",
    searchfalses = " will not be searched.",
    searchfalsep = " will not be searched.",
    settings1 = "Node-Settings",
	settings2 = "Treasure-Settings",
    settings3 = "Addon-Settings",
	settings4 = "Data-Print",
    search = "Search for ",
    rall1 = "Record All",
    rall2 = "Record everything - despite the Search-Settings.",
    thievery1 = "Show Lockbox",
    thievery2 = "Shows Lockboxes which were plundered.",
	exploration1 = "Show Treasure-Chests",
	exploration2 = "Shows Treasure-Chests found while exploring.",
    hide1 = "Hide GUI",
    hide2 = "Hides the AddOn-Interface.",
    settingsignore1 ="Amount of Entries to ignore",
    settingsignore2 ="After this amount, Trace-Back begins.",
    settingssize1 = "Node-Size",
    settingssize2 = "Radius of the Harvest-Node.",
    alloff = "All Off.",
    currattuned = "Currently Attuned to: ",
    node1 = "Node-Size set to: ",
    node2 = " Units.",
    searchfor = " searches for: \n",
    recordall = "Record All: ",
    recorded = " recorded: ",
    ignore1 = "LucysCompass ignores the last ",
    ignore2 = " Findings.",
    ignoremin = "Ignore-Amount already at 1.",
    nodeadjust1 = "Node-Size adjusted to ",
    nodeadjust2 = " Units!",
    nodemin = "Node-Size is already at Minimum!",
    allrecordtrue = "All Nodes will be recorded.",
    allrecordfalse = "Only Nodes from the Settings will be recorded.",
    redundant = " redundant Findings removed.",
    noredundant = "No Redundancy found.",
    deleteall = "All Entries deleted.",
    reset = "Settings resetted.",
    h1 = "/lcrecords - Print Amount of Records.",
    h2 = "/lcuser - Prints Recorded User and their Settings.",
    h3 = "/lcreset - Resets your Settings for this Character.",
    h4 = "/lcdeleteall - Deletes all gathered Data.",
	dataheader = "Data-Overview",
	dataprofiles = "Profiles",
	datagathering = "Collected",
	datamaps = "Maps",
	reload = "Reload",
	deleteallinfo = "Delete Data",
	deleteallheader = "With the Command /lcdeleteall, all gathered Data will be deleted.",
	intelligentscaletitle = "Intelligent Scaling",
	intelligentscaletooltip = "Scales the Distance and Nodesize with a Factor based on the size of the Map."
}

local gerlp = {
    noname = "Kein Name",
    lp = "Deutsch",
    pnode = " Pflanzen-Vorkommen ",
    rnode = "Runen-Schrein ",
    wanode = "Wasser-Quelle ",
    onode = "Erz-Ader ",
    wonode = "Holz-Lager ",
    cnode = "Faser-Strauch ",
    tnode = "Schatz ",
    tchest = "Schatzkiste",
    lchest = "Wertkassette",
    map = "Karte updated zu: ",
    recollect1 = "",
    recollect2 = "wiedergefunden",
    found = "Du hast die Sammelstelle gefunden",
    add1 = "",
    add2 = "aufgezeichnet",
    distance = "Distanz zur Sammelstelle: ",
    last = "Letzter Fund: ",
    notenough1 = "Weniger als ",
    notenough2 = " Karten-Aufzeichnungen",
    startup11 = "LucysCompass: \"",
    startup12 = "\"-Profil geladen.",
    startup0 =  "Neuer Benutzer erstellt: ",
    plant = "Pflanzen",
    ore = "Erze",
    wood = "Holz",
    cloth = "Fasern",
    water = "Wasser",
    rune = "Runensteine",
    treasure = "Schatzkisten",
    plant_s = "P",
    ore_s = "E",
    wood_s = "H",
    cloth_s = "F",
    water_s = "W",
    rune_s = "R",
    treasure_s = "S",
    searchtrues = " wird gesucht.",
    searchtruep = " werden gesucht.",
    searchfalses = " wird nicht gesucht.",
    searchfalsep = " werden nicht gesucht.",
    settings1 = "Sammel-Einstellungen",
	settings2 = "Truhen-Einstellungen",
    settings3 = "Addon-Einstellungen",
    settings4 = "Daten-Ausgabe",
    search = "Suche nach ",
    rall1 = "Alles aufzeichnen",
    rall2 = "Alles aufzeichnen - ungeachtet der Such-Einstellungen.",
    thievery1 = "Zeige Wertkassetten",
    thievery2 = "Zeigt Wertkassetten welche geplündert wurden.",
	exploration1 = "Zeige Schatzkisten",
	exploration2 = "Zeigt Schatzkisten welche durch Erkundung gefunden wurden.",
    hide1 = "GUI verstecken",
    hide2 = "Verbirgt das AddOn-Interface.",
    settingsignore1 ="Anzahl ignorierter Funde",
    settingsignore2 ="Nach dieser Anzahl beginnt die Suche.",
    settingssize1 = "Sammelstellen-Groesse",
    settingssize2 = "Radius der Sammelstelle.",
    alloff = "Alle Aus.",
    currattuned = "Eingestellt auf: ",
    node1 = "Sammelstellen-Groesse gesetzt auf: ",
    node2 = " Einheiten.",
    searchfor = " sucht nach: \n",
    recordall = "Alles Aufzeichnen: ",
    recorded = " aufgezeichnet: ",
    ignore1 = "LucysCompass ignoriert die letzten ",
    ignore2 = " Funde.",
    ignoremin = "Ignorier-Anzahl bereits auf 1.",
    nodeadjust1 = "Sammelstellen-Groesse veraendert zu ",
    nodeadjust2 = " Einheiten!",
    nodemin = "Sammelstellen-Groesse bereits auf Minimum!",
    allrecordtrue = "Alle Sammelstellen werden aufgezeichnet.",
    allrecordfalse = "Nur aktivierte Sammelstellen werden aufgezeichnet.",
    redundant = " redundante Sammelstellen entfernt.",
    noredundant = "Keine redundanten Sammelstellen gefunden.",
    deleteall = "Alle Eintraege geloescht.",
    reset = "Einstellungen zurueckgesetzt.",
    h1 = "/lcrecords - Anzahl der Aufzeichnungen anzeigen",
    h2 = "/lcuser - Einstellungen aller Benutzer anzeigen",
    h3 = "/lcreset - Resettet die Einstellungen fuer diesen Charakter.",
    h4 = "/lcdeleteall - Loescht alle gesammelten Daten.",
	dataheader = "Sammel-Uebersicht",
	dataprofiles = "Profile",
	datagathering = "Gesammelt",
	datamaps = "Karten",
	reload = "Neu Laden",
	deleteallinfo = "Daten Loeschen",
	deleteallheader = "Mit /lcdeleteall werden alle Sammel-Daten geloescht.",
	intelligentscaletitle = "Intelligentes Skalieren",
	intelligentscaletooltip = "Skaliert die Distanz und Sammelstellen-Groesse anhand der Map-Groesse."
}
function LucysCompass_GetLanguagePackage(language)
   if (language == "de") then
        return gerlp
   elseif (language == "en") then
        return englp
   elseif (language == "fr") then
        return englp --currently no french support
   else
        return englp
   end
end